#include<bits/stdc++.h>
using namespace std;

typedef long long ll;

ll getInt() {
	ll s = 0, f = 1;
	char c = getchar();
	for (; !isdigit(c); c = getchar())
		if (c == '-') f = -1;
	for (; isdigit(c); c = getchar())
		s = s * 10 + c - '0';
	return s * f; 
} 

int main() {
//	freopen("traverse.in", "r", stdin);
//	freopen("traverse.out", "w", stdout);
	
	fclose(stdin);
	fclose(stdout); 
	return 0;
}
